
Infrastructure - Bug #1202

java d1 client create() implementation not to spec.

2011-01-07 15:56 - Dave Vieglais

Status: Closed Start date: 2011-01-24

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2011.11-Block.2   

Milestone:  Story Points:  

Product Version: *   

Description

The java D1 client is POSTing to:

node/object/{identifier}

rather than

node/object

as specified in the documentation ( http://mule1.dataone.org/ArchitectureDocs-current/apis/REST_interface.html#post-object ).

This needs to be corrected, but will have consequences to both the create() service implementation and a large number of integration

tests.

Subtasks:

Task # 1402: conflicting documentation about location of pid parameter in mn.create() Closed

Task # 1250: refactor create servlet to accept the new call Closed

Task # 1249: write new create method in d1_libclient_java Closed

Task # 1251: re-examine cn configuration for request mapping to metacat Rejected

Task # 1256: create libclient method tests Closed

History

#1 - 2011-01-19 17:42 - Dave Vieglais

- Target version set to Sprint-2011.04

- Position set to 1

#2 - 2011-01-24 17:03 - Rob Nahf

- Status changed from New to In Progress

#3 - 2011-01-31 17:55 - Rob Nahf

- Target version deleted (Sprint-2011.04)

deferring implementation until after the demo.  (Reverted python code to match current java implementation).

#4 - 2011-02-01 18:32 - Dave Vieglais

- Position deleted (31)

- Position set to 1

- Target version set to Sprint-2011.09-Block.2

#5 - 2011-03-07 17:36 - Dave Vieglais

- Target version changed from Sprint-2011.09-Block.2 to Sprint-2011.10-Block.2
- Position deleted (46)

- Position set to 2

#6 - 2011-03-17 16:06 - Dave Vieglais

- Position deleted (29)

- Position set to 3

- Target version changed from Sprint-2011.10-Block.2 to Sprint-2011.11-Block.2

#7 - 2011-03-22 13:49 - Dave Vieglais

- Status changed from In Progress to Closed
